[Overview][Types][Classes][Variables][Index] | Reference for unit 'fpTimer' (#fcl)

# DefaultTimerDriverClass

Actual timer class to be used

## Declaration

Source position: fptimer.pp line 85

`var DefaultTimerDriverClass: TFPTimerDriverClass = Nil;`

## Description

DefaultTimerDriverClass contains the TFPTimerDriver class pointer that should be used when a new instance of TFPCustomTimer is created. It is by default set to the system timer class.

Setting this class pointer to another descendent of TFPTimerDriver allows to customize the default timer implementation used in the entire application.

## See also

TFPTimerDriver |  | Abstract driver class
TFPCustomTimer |  | Custom timer class

Documentation generated on: Feb 26 2014